Skip to documentation
AppLaunchFlow/ Docs

API reference / Other

unsplash search get

GET/api/v1/unsplash/search

Authorization

Send your API key or MCP OAuth token in the Authorization: Bearer header. Active or trialing Unlimited is required.

Required permission assets:read

Parameters

queryqueryrequired

string

min length: 1 · max length: 200

orientationqueryoptional

"landscape" | "portrait" | "squarish"

default: "landscape"

pagequeryoptional

integer

minimum: 1 · maximum: 9007199254740991 · default: 1

per_pagequeryoptional

integer

minimum: 1 · maximum: 30 · default: 15

Request example

Set ALF_API_URL to https://dashboard.applaunchflow.com/api/v1 and ALF_API_KEY to your key. Replace sample IDs with your project’s values.

cURL
curl --request GET \
  --url "$ALF_API_URL/unsplash/search?query=string" \
  --header "Authorization: Bearer $ALF_API_KEY"

Response

Successful JSON responses wrap the result in data, with a request ID in meta.requestId.

totaldatarequired

integer

minimum: -9007199254740991 · maximum: 9007199254740991

pagedatarequired

integer

minimum: -9007199254740991 · maximum: 9007199254740991

perPagedatarequired

integer

minimum: -9007199254740991 · maximum: 9007199254740991

photosdatarequired

object[]

hasMoredatarequired

boolean

View response schema
{
  "type": "object",
  "required": [
    "data",
    "meta"
  ],
  "properties": {
    "data": {
      "$schema": "https://json-schema.org/draft/2020-12/schema",
      "type": "object",
      "properties": {
        "total": {
          "type": "integer",
          "minimum": -9007199254740991,
          "maximum": 9007199254740991
        },
        "page": {
          "type": "integer",
          "minimum": -9007199254740991,
          "maximum": 9007199254740991
        },
        "perPage": {
          "type": "integer",
          "minimum": -9007199254740991,
          "maximum": 9007199254740991
        },
        "photos": {
          "type": "array",
          "items": {
            "type": "object",
            "propertyNames": {
              "type": "string"
            },
            "additionalProperties": {}
          }
        },
        "hasMore": {
          "type": "boolean"
        }
      },
      "required": [
        "total",
        "page",
        "perPage",
        "photos",
        "hasMore"
      ]
    },
    "meta": {
      "type": "object",
      "required": [
        "requestId"
      ],
      "properties": {
        "requestId": {
          "type": "string",
          "format": "uuid"
        }
      }
    }
  }
}

Errors & retries

Errors use application/problem+json. Check the stable code and keep requestId when contacting support. Respect Retry-After on 429 responses.

See error handling and idempotency →